<?php

/**
 * @file
 * Contains support form for miniOrange 2FA Login Module.
 */
namespace Drupal\miniorange_2fa\Form;

use Drupal\Core\Form\FormBase;

/* Showing Licensing form info. */

class MoAuthLicensing extends FormBase
{
    public function getFormId() {
        return 'miniorange_2fa_licensing';
    }

    public function buildForm(array $form, \Drupal\Core\Form\FormStateInterface $form_state) {

        global $base_url;
        $url = $base_url .'/admin/config/people/miniorange_2fa/customer_setup';
        $user_email = \Drupal::config('miniorange_2fa.settings')->get('mo_auth_customer_admin_email');

        $form['markup_library'] = array(
            '#attached' => array(
                'library' => 'miniorange_2fa/miniorange_2fa.admin',
            ),
        );

        $form['markup_free'] = array(
            '#markup' => '<div class="mo2f-licensing-thumbnail mo2f-licensing-light-tab"> <h3 class="mo2f-pricing-header">Free</h3>
                  <hr>
                    <p>For 1 user - Forever</p>
                  <hr>
                    <p>$0 - Subscription Fees</p>
                  <hr>
                    <p style="font-weight:bold">Features:</p>
                    <p>All Authentication Methods,<br>
                       Remember Device<br><br><br><br><br><br><br><br><br><br><br><br><br>
                    </p>
                  <hr>
                    <p style="font-weight:bold;">Backup Method:</p>
                    <p>Security Questions(KBA)</p><br>
                  <hr>
                    <p>Basic Support by Email</p>
            </div>'
        );
        $form['markup_do_it_yourself_first'] = array(
            '#markup' => '<div class="mo2f-licensing-thumbnail mo2f-tab">'
                . '<h3 class="mo2f-pricing-header">Do it yourself</h3>'
                . '<a target="_blank" class="mo2f-pricing-button" href="https://login.xecurify.com/moas/login?username='.$user_email.'&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=drupal_2fa_basic_plan">Click here to upgrade</a>'
                . '<br /><a target="_blank" class="mo2f-pricing-button" href="https://login.xecurify.com/moas/login?username='.$user_email.'&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=otp_recharge_plan">Click here to buy SMS transactions</a>'
                . '<p></p><hr>
		           <p>For 1+ users</p><hr>    
		           <p>Yearly Subscription Fees**<br /></p>',
		);

        $form['markup_do_it_yourself_second'] = array(
            '#type' => 'select',
            '#options' => array(
                '10' => t('1-2 users - $5 per year'),
                '20' => t('2-5 users - $20 per year'),
                '30' => t('5-50 users - $30 per year'),
                '40' => t('50-100 users - $49 per year'),
                '50' => t('100-500 users - $99 per year'),
                '60' => t('500-1000 users - $199 per year'),
                '70' => t('1000-5000 users - $299 per year'),
                '80' => t('5000-10000 users - $499 per year'),
                '90' => t('10000-20000 users - $799 per year'),
                '100' => t('More Than 20000 users - Contact Us'),
            ),
        );

        $form['markup_do_it_yourself_third'] = array(
            '#markup' => '<hr>
                <p style="font-weight:bold">Features:</p>
                <p>All Authentication Methods***<br>
                    Remember Device<br>
                    Enforce 2FA registration for users<br>
                    Manage Registered Device Profiles<br>
                    Custom Redirection<br>
                    Customize Email Templates<br>
                    Customize SMS Templates<br><br>
                </p><p></p>
                <hr>
                <p style="font-weight:bold;">Backup Method:</p>
                <p>Security Questions(KBA)<br>OTP over EMAIL</p>
                <hr>
                <p>Basic Support by Email</p>
            </div>',
        );

        $form['markup_premium_first'] = array(
            '#markup' => '<div class="mo2f-licensing-thumbnail mo2f-licensing-light-tab">
                <h3 class="mo2f-pricing-header">Premium</h3>'
                . '<a target="_blank" class="mo2f-pricing-button" href="https://login.xecurify.com/moas/login?username='.$user_email.'&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=drupal_2fa_premium_plan">Click here to upgrade</a>'
                . '<br /><a target="_blank" class="mo2f-pricing-button" href="https://login.xecurify.com/moas/login?username='.$user_email.'&redirectUrl=https://login.xecurify.com/moas/initializepayment&requestOrigin=otp_recharge_plan">Click here to buy SMS transactions</a>'
                . '<p></p><hr>
                <p>For 1+ users, Setup and Custom Work</p><hr>    
                <p>Yearly Subscription Fees**<br /></p>',
        );

        $form['markup_premium_second'] = array(
            '#type' => 'select',
            '#options' => array(
                '10' => t('1-5 users - $30 per year'),
                '20' => t('5-50 users - $99 per year'),
                '30' => t('50-100 users - $199 per year'),
                '40' => t('100-500 users - $349 per year'),
                '50' => t('500-1000 users - $499 per year'),
                '60' => t('1000-5000 users - $799 per year'),
                '70' => t('5000-10000 users - $999 per year'),
                '80' => t('10000-20000 users - $1499 per year'),
                '90' => t('More Than 20000 users - Contact Us'),
            ),
        );

        $form['markup_premium_third'] = array(
            '#markup' => '<hr>
		        <p style="font-weight:bold">Features:</p>
		        <p>All Authentication Methods***<br>
			        Remember Device<br>
			        Enforce 2FA registration for users<br>
			        Manage Registered Device Profiles<br>
			        Custom Redirection<br>
			        Customize Email Templates<br>
			        Customize SMS Templates<br>
			        End to End 2FA Integration****<br>
		        </p>
		        <hr>
		        <p style="font-weight:bold;">Backup Method:</p>
		        <p>Security Questions(KBA)<br>OTP over EMAIL</p>
		        <hr>
		        <p>Premium Support Plans Available</p>
            </div>',
        );

        $disclaimer = '<h3>* Steps to upgrade to premium module -</h3>
            <p>1. You will be redirected to miniOrange Login Console. Enter your password with which you created an account with us. After that you will be redirected to payment page.</p>
            <p>2. Enter you card details and complete the payment. On successful payment completion, <a href="'.$url.'">Customer Profile</a> tab and click on Check License button.</p>
            <h3>** If you dont find the number of users in the dropdown then check the price for exact number of users by clicking on "Click here to upgrade" button.</h3>
	        <p>You can mail us at <a href="mailto:info@xecurify.com"><b>info@xecurify.com</b></a> or submit the support form under Support tab to contact us.</p>
	        <p>*** All the authentication methods given under <b>SETUP TWO-FACTOR</b> are supported after upgrading. We also support OTP over SMS, Hardware Token like Yubico and Display Token. Contect us if you want to use these authentication methods.</p>
            <h3>*** End to End 2FA Integration - We will setup a Conference Call / Gotomeeting and do end to end setup for you. We provide services to do the setup on your behalf.';

        $form['header']['#markup'] =  $disclaimer;

        return $form;
    }
    public function submitForm(array &$form, \Drupal\Core\Form\FormStateInterface $form_state) {

    }
}
